import { describe, expect, it } from 'vitest';
import { Export as ExportDll, icons } from '../src/index.js';
import Export from '../src/export.js';

import ckeditor from './../theme/icons/ckeditor.svg';

describe( 'CKEditor5 Export DLL', () => {
	it( 'exports Export', () => {
		expect( ExportDll ).to.equal( Export );
	} );

	describe( 'icons', () => {
		it( 'exports the "ckeditor" icon', () => {
			expect( icons.ckeditor ).to.equal( ckeditor );
		} );
	} );
} );
